summaryrefslogtreecommitdiff
path: root/build-test.sh
diff options
context:
space:
mode:
authorZack Middleton <zturtleman@gmail.com>2013-03-06 17:24:59 -0600
committerTim Angus <tim@ngus.net>2013-03-19 16:41:16 +0000
commitfce0ca3b4636f55f83f03fe8f612e3dd1c4120fa (patch)
tree5a9b3c8296f656dc6401a2098ad28f6e30caaad5 /build-test.sh
parentb71f0e56eabe1631eaf071b696332368463d8f1f (diff)
autobuild: try to fix extra options build and mingw builds
Diffstat (limited to 'build-test.sh')
-rwxr-xr-xbuild-test.sh9
1 files changed, 7 insertions, 2 deletions
diff --git a/build-test.sh b/build-test.sh
index 3e920bb8..db582c0c 100755
--- a/build-test.sh
+++ b/build-test.sh
@@ -6,10 +6,15 @@ failed=0;
(make) || failed=1;
# Test additional options
+make clean
(make USE_CODEC_VORBIS=1 USE_FREETYPE=1 CFLAGS=-DRAVENMD4) || failed=1;
-# Test mingw
-(exec ./cross-make-mingw.sh) || failed=1;
+# Test mingw (gcc)
+if [ "$CC" = "gcc" ]; then
+ # clear CC so script will set it.
+ export CC=
+ (exec ./cross-make-mingw.sh) || failed=1;
+fi
if [ $failed -eq 1 ]; then
echo "Build failure.";